apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: railiance-apps-root
  namespace: argocd
  labels:
    app.kubernetes.io/part-of: railiance-gitops
    railiance-platform/component: gitops
spec:
  project: railiance-bootstrap
  source:
    repoURL: https://forgejo.coulomb.social/coulomb/railiance-platform.git
    targetRevision: main
    path: argocd/applications
  destination:
    server: https://kubernetes.default.svc
    namespace: argocd
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=false
      - ApplyOutOfSyncOnly=true
      - PruneLast=true

